SimGuy's Pidgin Stuff

This site is the home of Pidgin Extended Preferences and the Windows Pidgin Build Environment Fetcher, as well as any other projects I (SimGuy, a.k.a. Kevin Stange) have created for Pidgin.

The Extended Preferences Plugin provides additional options within Pidgin that users sometimes request, but Pidgin's developers have deemed inappropriate for inclusion in Pidgin. It was originally created partially as a proof of concept that someone's "fork" of Pidgin was entirely viable as a plugin, but also to provide Pidgin users with the ability to "zoom" their conversation text to a larger size to make up for people using very small fonts in conversations.

The Windows Pidgin Build Environment Fetcher was created to make setting up a Pidgin build environment easier, and essentially performs the steps on the official Windows Pidgin Build Instructions page automatically, and nearly painlessly. All you need is Cygwin.


March 29, 2009 - Build Fetcher 1.8 (Minor Update)

The latest Bonjour package caused some problems with building Pidgin due to file permissions issues. I've made a very small change which should work around the problem for Vista users that see it. Run the existing script to get the upgrade or find out more from the BEF page.

August 18, 2008 - Build Fetcher 1.7

To work around a problem that prevents ActivePerl from upgrading itself between minor versions, the latest version prompts you to manually uninstall it from your computer before the update from 5.8.x to 5.10.x is performed. This new version is required for Pidgin 2.5.0.

I decided to make this update manditory to avoid "support" questions. As always, just run your existing script to upgrade or get started from the BEF page.

May 27, 2008 - Build Fetcher Updated Package Information

I've updated the MinGW runtime, Win32 API and GCC packages to the latest stable releases from MinGW in the Build Fetcher. These should be minor updates, but please let me know if they cause any problem. All GCC issues related to Windows Vista are supposedly fixed in the current build.

I also fixed the Cyrus SASL package which was a bit outdated. Sorry for not getting to it sooner.

March 1, 2008 - Build Fetcher 1.6 Released

With the release of Pidgin 2.4.0, it is now necessary to include Cyrus SASL in the build environment. Since each new package requires a new point release of the build fetcher generally, 1.6 is here. While I was at it, however, I decided to modify the script so that simple fetch and extraction directions are listed within the update file that's downloaded each time you run the script. As long as there are no complex steps involved for a new dependency, it should now be possible to add to the build environment without an entirely new release.

As a result of these changes, you must upgrade, so if you have an existing copy of the build fetcher, just run it and auto-update. If you're starting anew, grab it from the BEF page.

July 6, 2007 - Build Fetcher 1.5 Released

I have just released a new version of the WinPidgin Build Environment Fetcher, which updates the script to fully support Pidgin. It also fixes an issue with MD5 summing failing in non-English locales and adds Bonjour to the build environment. Apple has chosen not to allow us to perform an unattended installation, so you'll have to follow the prompts for the SDK installer when they appear.

Drop by the BEF page to fetch the latest version or just run an existing script to auto-update.

April 29, 2007 - Extended Preferences 0.7 released for Pidgin 2.0.0 Beta 7

There's not much changed in this version, but a lot has changed, so it's needed. Gaim is now Pidgin, and so we are now the Pidgin Extended Preferences Plugin. As a result, the plugin has been recoded for the new name and API. Craig has also changed the way the tooltips pref works so that it is a bit clearer, and I've fixed the "Hide buddy list at startup" pref so that it should really always work. Other than that, we're just releasing so that we're ready for Pidgin 2.0.0 beta 7.

There should be more new features in the next release, hopefully!

See the Extended Preferences page for more information and to get ahold of the new release.

April 11, 2007 - Pidgin!

Code in CVS is now completely compatible with Pidgin from monotone. CVS will not compile with Gaim releases. I am going to be working my way through the site and updating references to Gaim so they refer to Pidgin soon. The build fetcher's file list is corrected, with a caveat that you must now symlink "win32-dev/gaim-inst-deps" to point to "win32-dev/pidgin-inst-deps" if you are trying to build a pre-Pidgin release tarball or from SVN. I will release a reworked build fetcher soon and pidgin-extprefs will be released with 2.0.0 with full API and ABI compatibility.

March 22, 2007 - Extended Preferences 0.6 Released, Updated for Beta 6

This is the first release in very nearly two years. Development for me has basically been at a standstill, mostly because of lack of time, and because while Gaim is extremely happily alive, it has been stuck without a "real" release for some time and has felt a bit like a moving target. This release is to help satisfy many people on Windows that are waiting for me to finally release ANYTHING they can install and use. It also makes the plugin fully API compatible with 2.0.0 beta 6 (which should be API frozen now for release, I hope) and discontinue support for 1.5.0, which you simply shouldn't be using anymore. No new features will be found in this release, but the plugin should compile properly on 2.0.0 beta 6, and better in general elsewhere.

Also, a warm welcome to Craig Harding, who offered his contributions and I have accepted as an official developer of the plugin. He has some ideas for improvements and changes which will certainly appear in the next release, 0.7, which we will do our best to deliver in fewer than 20 months. :)

See the Extended Preferences page for more information and to grab the new version.

January 21, 2007 - BEF Package List Updated for Beta 6

I just set Beta 6 as the default download version for the build fetcher and swapped the behavior so that new NSS and NSPR will be used by default now. To specifically retain the old ones you can define USE_OLD_NSS=1, though as long as you don't delete your build environment, the old NSS and NSPR versions will be left behind anyway.

December 18, 2006 - BEF Package Update

I've just updated the package list for the build fetcher. Since Gaim has recently undergone several major changes in its build environment, the needed build environment is starting to get very inconsistent between SVN and released packages. Currently Beta 5 and SVN use a different NSS and NSPR version. For the time being, if you are going to be building SVN code for development, please define USE_OLD_NSS=0 before you run the script. This will cause the script to fetch the package versions that Gaim SVN is now hardcoded to use. The default will be switched once the next Gaim release (beta 6, most likely) becomes available so that the build defaults to using the new versions of these packages.

For the sake of my sanity, I am no longer considering 1.5.0 supported. Gaim 1.5.0 has been without update in a long time, and if you're just starting out developing for Gaim, you should be doing it against 2.0.0. The default release tarball download has been set to version 2.0.0beta5, and the resulting environment should be compatible with that version specifically.

September 13, 2006 - Build Fetcher 1.4 Released

I've finally gotten around to releasing version 1.4. 2.0.0 development has lead us to require a newer version of GCC which no longer has an installer, so this version gathers together the pieces of the mingw runtime that we need and places them in the win32-dev directory. The old MinGW installation on your computer can be removed, unless you need it for other development. I've also added libxml2 to the build environment for 2.0.0's sake. Once again, as long as you keep working with 1.5.0 code, you don't need this update. Once 2.0.0 is finally released, 1.4 (or possibly higher) will become manditory.

Head over to the BEF page to pick up the latest version or just run an existing script to auto-update.

May 2, 2006 - Build Fetcher 1.3 Released

Version 1.3 of the WinGaim Build Environment Fetcher is out. This version features support for Subversion, which the Gaim project now uses in place of CVS. I have also added the libmeanwhile dependency to the build environment, which means you should be able to build the latest 2.0.0 beta as well as SVN trunk. If you are not building 2.0.0 yet, you don't need to upgrade, but you might as well.

Drop by the BEF page to download the latest release or just run an existing script to invoke the automatic upgrade. Make sure you install the cygwin subversion package by re-running the cygwin installer, or the updated script will exit with an error message.

December 20, 2005 - Build Fetcher 1.2 Released

I've just pushed out version 1.2 of the WinGaim Build Environment Fetcher. This version is mostly maintenance, but I've added support to extract a new package that is needed to properly compile Gaim 2.0.0. There is no need to upgrade unless you are trying to build Gaim 2.0.0 CVS or beta 1.

To get to the latest version, visit the BEF page or just run your old copy of the script to invoke the automatic upgrade.

There have not been many changes made to Extended Preferences recently due to time constraints. I am not releasing a new package until Gaim 2.0.0 goes final. The code in CVS should build properly with Gaim 2.0.0, though certain features have been removed due to their lack of relevance. If anyone with a bit more time than I have would like to help make improvements to the Extended Prefs plugin, I'd appreciate the help. Feel free to contact me and make offers of contribution. :)

July 18, 2005 - Extended Preferences 0.5 (Finally) Released.

One can only go so long before realizing that the plugin he's released is being unreasonably neglected and is riddled with annoying bugs. I can't profess to fix all of them, but in this release I fix major known issues with 4 separate options. This plugin will also now compile with Gaim CVS, though you shouldn't be using it.

The biggest news, however, is that the Linux/Unix version of the build system is now powered by autotools, finally eliminating the pesky problems that have plagued users on anything that I couldn't directly test.

There are no new features in this plugin, but it should work more effectively pretty much everywhere that counts.

Head to the Extended Preferences page for more information and to download the update.

May 16, 2005 - Build Fetcher 1.1 Released; SF Mirror Problem corrected.

Version 1.1 has been released to make the Build Fetcher work under non-Cygwin environments (with limited functionality). This release also fixed a bug in which ActivePerl can't be installed due to a mixup of directory separators.

In order to avoid picking a specific mirror at SourceForge for files, I had used, but the random DNS system caused problems if you were unlucky enough to get a mirror which was missing one or more files. To fix this problem, I have hardcoded the mirror as "" and I will update it as necessary. If for some reason you wish to override and use a closer mirror, simply define SF_MIRROR before running the script. For example:

export SF_MIRROR=mymirror.

Make sure to retain the dot at the end of the mirror name.

Upgrading is not required, but is encouraged. The mirror correction was made in the build files list, so it will apply regardless.

May 12, 2005 - WinGaim Build Environment Fetcher 1.0!

I've just released a new version of the BEF script which adds support for checksumming the gaim source tarball, CVS tags and branches, and automatic script updating. I also eliminated some annoying prompting and cleaned up the code organization a bit.

For the full details or to get to the latest version, visit the BEF page or just run your old copy of the script to invoke the automatic upgrade.

December 13, 2004 - New Extended Preferences 0.4

This release is the people-bugging-me release. The two new features I've added give you the ability to suppress join and part messages in chat windows, and to hide the buddy list window when you first sign on to Gaim.

The first preference is to be slashed from Guifications in order to clean up the number of preferences it provides. Where better to put it than a plugin dedicated to random preferences? The other option is just something someone mentioned that seemed trivial enough to add. It was less trivial to get it to work the way I intended, but it's here now.

Other than that, there's a bunch of random code cleanup, which is just better overall. Check the files page for the source tarball and a Windows binary.

December 6, 2004 - New WinGaim BEF 0.5

I've released a new build environment fetcher script to fix a number of annoying problems with the previous release. New users were finding that the ZIP packages (aspell, NSS, and NSPR) were not getting unpacked due to an environmental variable that caused the unzip program to go crazy. I also fixed a problem that prevented using the script if the working path contained spaces. Also noteworthy, Herman added the SILC protocol to WinGaim, so this update includes the SILC toolkit package to allow proper building of Gaim.

Head over to the extras page to get the new BEF.

Also, as a note, the current release of Extended Preferences is still compatible with Gaim 1.x.x, so there is no need for a new source or binary release for the 1.1.x series.

October 21, 2004 - New WinGaim BEF 0.4

I have just introduced a new version of the WinGaim Build Environment Fetcher, which implements MD5 verification for fetched files, and makes some important adjustments in usability and automation. We also use some hackery to provide a modified NSIS installation, because it is necessary to build the GTK+ installer. Check out the extras page for further details.

September 17, 2004 - EP 0.3 Released for Gaim 1.0.0

This release of Extended Preferences should fix all the remaining (major) problems with the build system. We also introduce a feature by Daniel Attallah to allow the buddy list to shrink smaller than its built-in minimum size.

This release will build and function with Gaim 1.0.0, and should remain forwards compatible with all Gaim releases in the 1.x.x series, as long as the Gaim folks follow their new API rules properly. :)

August 21, 2004 - EP 0.2-r1 Tarball Released

I failed Makefile 101. Linux users could build a binary just fine, but it turns out that it didn't actually load and it created a literal "~" directory for installation instead of going to the home directory by default.

Thankfully, Stu Tomlison came to the rescue and figured out what nonsense I had generated and made it go away :)

If you intend to compile from source, you need this new tarball. Otherwise, for the Windows binary, you should still use the previously released file, because absolutely nothing was changed that affects the binary 0.2 in any way.

August 12, 2004 - Updated EP 0.2 Tarball

I made several mistakes in the tarball, including having it extract to the current directory. I've fixed that in the new tarball that's up (with the same name). You can also use PREFIX="/bleh" make install to cause the plugin to be installed to that location (Linux would be /bleh/lib/gaim, and Windows would be /bleh/plugins). Unspecified, Windows installs to win32-install-dir in your source directory, and Linux installs to ~/.gaim/plugins.

See the files page.

August 11, 2004 - Extended Preferences 0.2!

This is finally the release I've been planning all this time. It is finally possible to change the font sizes of more than just conversation text. You can now change Information Dialogs (like Buddy Profiles), the Buddy List, the Log Viewer, and of course Conversations. This change is no longer dynamic, due to some technical problems in Gaim, but I think it's better to have more scope on the font selection.

I also added the ability to show and hide specific buttons at the bottom of the conversation window. This allows you to, for example, make the warn button go away if you don't like seeing it.

The build instructions are now included in the source release, which actually contains makefiles. I did a little weirdness to allow both Win32 and Linux users to simply run "make" without specifying a Makefile. I'll be interested in knowing if that screws up on anyone. Most imporantly, Linux users with properly installed gaim and gaim-devel packages can build the plugin without extracting it inside Gaim's source code. It's not too likely we'll be able to do that in Windows anytime soon without excessive work.

Your friendly files page will lead you to 0.2! Go on. Get it.

July 30, 2004 - WinGaim BEF Updated Again

I updated the build environment fetcher again, to fix a bug in the MinGW32 installation detection, and remove the dependency on Windows 2000 and XP's reg.exe for getting registry information. Cygwin has a built-in mechanism that is actually quite a bit easier. The script should now work in Windows 9x.

Grab the latest WinGaim BEF release from the extras page.

July 20, 2004 - New WinGaim Build Environment Fetcher

Since Gaim 0.80 is now shipping with GTK 2.4.3, but required source changes to the already released source package, I added support for a distribution patch to be fetched by the Build Environment Fetcher if it is available for the Gaim version you request. This is still no guarantee it will compile, since the dependencies fetched are always for the most current Gaim release, however it will modify the extracted source so that it is the same as what was used to build the official Windows packages.

Get the WinGaim Build Environment Fetcher from the extras page.

There is no new release for the Extended Preferences plugin because it appears to still be compatible with the 0.80 Gaim release.

June 25, 2004 - 0.1.2 Released

Once again, time has not been on my side, and a Gaim bug is actually keeping me from doing what I want to with the zoom code, so I am going to need to fix the Gaim bug before I can release version 0.2. That makes this another service release, but I think you'll be pleased to know you should see it crashing incompatible Gaim versions slightly less frequently.

This release is compatible with Gaim 0.79, and it probably won't work with any later versions. I'm hoping to work toward resolving the issues Gaim has in this area so plugin authors don't have to keep releasing service releases like this for every Gaim version. :)

Version 0.1.2 is now available on the files page.

June 1, 2004 - 0.1.1 Released

Sorry this release isn't more, but it will work with Gaim 0.78. I didn't have time to finish updating the features to make more of the IM HTML fields scalable. I have to change how the code works to make it affect more IM HTML boxes, and as it is now, it's not of a quality I am comfortable releasing.

I will keep working on 0.2 to try to make the IM HTML scaling more robust and possibly add another feature or two to the plugin soon. Hopefully I'll line it up with the next Gaim release.

Version 0.1.1 is now available on the files page.

May 29, 2004 - WinGaim Build Environment Fetcher

I just created a bash script that people can use if they want or need to set up a Windows Gaim build environment. The script automates the process, and also automatically fetches a Gaim source tarball or Gaim CVS code for those that want to develop for Gaim.

For directions on how to use the automated build environment setup tool, check the extras page.

Version 0.2 of Extended Preferences will be out in a day or two. It's not going to contain any major new features, but it will allow changing the font sizes for profile and log viewing as well as conversations.

April 23, 2004 - 0.1 Released

In accordance with the release of Gaim 0.77, version 0.1 is now available for download. You must have Gaim 0.77 to install this plugin. Place it in ~/.gaim/plugins/

You can get version 0.1 now from the files page.